/**
 * Copyright (C) 2001-2005 France Telecom R&D
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
package org.objectweb.speedo.generation.enhancer.common;

import org.objectweb.asm.Attribute;
import org.objectweb.asm.ClassVisitor;
import org.objectweb.asm.CodeVisitor;
import org.objectweb.util.monolog.api.Logger;
import org.objectweb.util.monolog.api.BasicLevel;

/**
 *
 * @author S.Chassande-Barrioz
 */
public class LoggedClassVisitor implements ClassVisitor {

    protected Logger logger;
    protected boolean debug = false;

    public LoggedClassVisitor() {
    }

    public LoggedClassVisitor(Logger logger) {
        this.logger = logger;
        if (logger != null) {
            debug = logger.isLoggable(BasicLevel.DEBUG);
        }
    }

    public Logger getLogger() {
        return logger;
    }

    public void setLogger(Logger logger) {
        this.logger = logger;
    }

    public void visit(int version, int i, String s, String s1, String[] strings, String s2) {
    }

    public void visitInnerClass(String s, String s1, String s2, int i) {
    }

    public void visitField(final int access,
                       final String name,
                       final String desc,
                       final Object value,
                       final Attribute attrs) {
    }

    public CodeVisitor visitMethod(int i, String s, String s1, String[] strings, Attribute attrs) {
        return null;
    }

    public void visitAttribute(Attribute attribute) {
    }

    public void visitEnd() {
    }
    
}
