/**
 * Copyright (C) 2001-2005 France Telecom R&D
 */
package org.objectweb.speedo.generation.mivisitor.ejb;

import org.objectweb.speedo.generation.mivisitor.AbstractMetaInfoVisitor;
import org.objectweb.speedo.generation.mivisitor.CascadeDeleteSetter;
import org.objectweb.speedo.generation.mivisitor.DiscriminatorVisitor;
import org.objectweb.speedo.generation.mivisitor.FieldConverterVisitor;
import org.objectweb.speedo.generation.mivisitor.InheritanceVisitor;
import org.objectweb.speedo.generation.mivisitor.JavaLangShorcutVisitor;
import org.objectweb.speedo.generation.mivisitor.KeyFieldChecker;
import org.objectweb.speedo.generation.mivisitor.MetaDataAnalyzer;
import org.objectweb.speedo.generation.mivisitor.MetaInfoVisitors;
import org.objectweb.speedo.generation.mivisitor.ReverseFieldAdder;
import org.objectweb.speedo.generation.mivisitor.VersionFieldAdder;
import org.objectweb.speedo.lib.Personality;

/**
 * Defines the list of Speedo Meta Information visitors used in the EJBEnhancer. 
 *
 * @author S.Chassande-Barrioz, P. Dechamboux
 */
public class EJBSMIVisitor extends MetaInfoVisitors {
	
	public EJBSMIVisitor() {
		super(Personality.EJB);
	}

    protected AbstractMetaInfoVisitor[] getMIVisitors() {
        return new AbstractMetaInfoVisitor[] {
                new KeyFieldChecker(Personality.EJB),
                new ReverseFieldAdder(Personality.EJB),
                new InheritanceVisitor(Personality.EJB),
                new MetaDataAnalyzer(Personality.EJB),
                new DiscriminatorVisitor(Personality.EJB),
                //new PrimaryKeyFieldAdder(Personality.EJB),
                new JavaLangShorcutVisitor(Personality.EJB),
                new VersionFieldAdder(Personality.EJB),
                new CascadeDeleteSetter(Personality.EJB),
                //new DataStoreId(Personality.EJB),
                new FieldConverterVisitor(Personality.EJB)
            };
    }

}
