/**
 * Copyright (C) 2001-2004 France Telecom R&D
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

package org.objectweb.speedo.generation.start;

import java.io.PrintWriter;


/**
 * Base class for resource locators.
 */
abstract class ResourceLocatorBase
    extends Support
    implements ResourceLocator
{
    // misc
    protected final PrintWriter out;
    protected final boolean verbose;

    /**
     * Creates an instance.
     */
    public ResourceLocatorBase(PrintWriter out,
                               boolean verbose)
    {
        Assertion.assertion(out != null);
        this.out = out;
        this.verbose = verbose;
    }

    /**
     *  Prints out a verbose message.
     *
     *  @param msg the message
     */
    public void printMessage(String msg)
    {
        if (verbose) {
            out.println(getI18N("enhancer.message", msg));
        }
    }
}
