/**
 * perseus/connector: this is an implementation of some JCA-related technologies
 * (resource adapters and managers) for the ObjectWeb consortium.
 * Copyright (C) 2001-2004 France Telecom R&D
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * Contact: speedo@objectweb.org
 *
 */

package org.objectweb.speedo.jca.jdo;

import javax.resource.ResourceException;
import javax.resource.spi.ConnectionManager;

import org.objectweb.speedo.jca.SpeedoConnectionFactory;
import org.objectweb.speedo.jca.SpeedoManagedConnectionFactory;
import org.objectweb.util.monolog.api.Logger;

public class JDOManagedConnectionFactory extends SpeedoManagedConnectionFactory {
	/**
     * 
     */
    private static final long serialVersionUID = 3695404000058970958L;

    /**
	 * This abstract method is used to create a ConnectionFactory. It should be
	 * implemented by the ManagedConnectionFactory associated with the actual
	 * implementation of the JCA driver (either for JDO or for EJB).
	 */
	protected SpeedoConnectionFactory createConnectionFactory(Logger logger,
			SpeedoManagedConnectionFactory fmcf,
			ConnectionManager cm,
			byte transactionMode) throws ResourceException {
		return new JDOConnectionFactory(logger, fmcf, cm, transactionMode);
	}
}
