/**
 * Copyright (C) 2001-2005 France Telecom R&D
 */
package org.objectweb.speedo.jmx.mbeans;

import org.objectweb.perseus.dependency.api.DependencyGraph;
import org.objectweb.speedo.api.SpeedoProperties;
import org.objectweb.speedo.pm.api.POManagerFactoryItf;
import org.objectweb.speedo.pm.jdo.api.JDOPOManagerFactoryItf;

import java.util.ArrayList;
import java.util.Collection;
import java.util.HashMap;
import java.util.Iterator;
import java.util.Map;

/**
 * 
 *
 * @author chassase
 */
public class Tx implements TxMBean {

    JDOPOManagerFactoryItf pmf;
    DependencyGraph dg;
    
    public Tx(JDOPOManagerFactoryItf pmf, DependencyGraph dg) {
        this.pmf = pmf;
        this.dg = dg;
    }
    
    public String getConcurrencyManager() {
        return pmf.getProperties().getProperty(SpeedoProperties.TRANSACTION_LOCKING);
    }

    public String getConcurrencyPolicy() {
        return (pmf.getOptimistic() ? "optimistic" : "pessimistic");
    }

    public String getTransactionManagerName() {
        return pmf.getProperties().getProperty(SpeedoProperties.TM_NAME);
    }
    
    public Collection getDependencies() {
        Map vs = new HashMap(dg.getVertexes());
        ArrayList deps = new ArrayList(vs.size());
        for (Iterator it = vs.entrySet().iterator(); it.hasNext();) {
            Map.Entry me = (Map.Entry) it.next();
            deps.add(me.getKey() + " ==> " + me.getValue());
        }
        return deps;
    }
}
