<?xml version="1.0"?>
<!--
  Speedo: an implementation of JDO compliant personality on top of JORM generic
  I/O sub-system.
  Copyright (C) 2001-2004 France Telecom R&D
 
  This library is free software; you can redistribute it and/or
  modify it under the terms of the GNU Lesser General Public
  License as published by the Free Software Foundation; either
  version 2 of the License, or (at your option) any later version.
 
  This library is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  Lesser General Public License for more details.
 
  You should have received a copy of the GNU Lesser General Public
  License along with this library; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 
  Contact: sebastien.chassandebarrioz@rd.francetelecom.com
 
-->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
   <xsl:output method="html" indent="yes" encoding="UTF-8"/>

   <xsl:param name="html.stylesheet">stylesheet.css</xsl:param>
   <xsl:param name="html.stylesheet.type">text/css</xsl:param>
   <xsl:param name="head.title">viewarray.title</xsl:param>
   <xsl:param name="request.step">30</xsl:param>
   <xsl:param name="request.start">0</xsl:param>
   <xsl:param name="request.objectname"/>
   <xsl:param name="request.attribute"/>
   <xsl:param name="request.format"/>
   <xsl:param name="request.template"/>

   <xsl:include href="common.xsl"/>
   <xsl:include href="mbean_attributes.xsl"/>

   <!-- Main template -->
   <xsl:template match="/" name="main">
      <html>
         <xsl:call-template name="head"/>
         <body>
			<h1 align="center">Speedo Console</h1>
            <xsl:call-template name="tabs">
               	<xsl:with-param name="selection" >
					<xsl:value-of select="speedo%3Aname%3Dlog"/>
				</xsl:with-param>
            </xsl:call-template>
            <p><u>Existing handlers:</u></p>
            <table cellpadding="0" cellspacing="3" border="0">
            <ul><xsl:for-each select="MBean/Attribute/Array/Element">
				<tr>
					<td valign="top">- handler '<xsl:value-of select="@element"/>': </td>
					<td valign="bottom"><form action="invoke">
						<input name="operation" type="hidden" value="getHandlerAttributes"/>
						<input name="objectname" type="hidden" value="speedo:name=log"/>
						<input  name="type0" type="hidden" value="java.lang.String"/>
               			<input name="value0" type="hidden" size="10">
             				<xsl:attribute name="value"><xsl:value-of select="@element"/></xsl:attribute>
               			</input>
						<input  name="template" type="hidden" value="monolog_handler_edit"/>
						<input value="Edit" type="submit" style="pad-right: 1em;"/>
    			 	</form></td>
    			 	<td valign="bottom"><form action="invoke">
						<input name="operation" type="hidden" value="removeHandler"/>
						<input name="objectname" type="hidden" value="speedo:name=log"/>
						<input  name="type0" type="hidden" value="java.lang.String"/>
               			<input name="value0" type="hidden" size="10">
             				<xsl:attribute name="value"><xsl:value-of select="@element"/></xsl:attribute>
               			</input>
						<input value="Remove" type="submit" style="pad-right: 1em;"/>
    			 	</form></td>
    			 </tr>
            </xsl:for-each></ul>
            </table>

            <p><u>Create a new handler:</u></p>
			<form action="invoke">
				<input name="operation" type="hidden" value="createHandler"/>
				<input name="objectname" type="hidden" value="speedo:name=log"/>
				<input  name="type0" type="hidden" value="java.lang.String"/>
           		- Name: <input name="value0" type="text" size="10" value=""/><br/>
				<input name="type1" type="hidden" value="java.lang.String"/>
				- Type: <select value="" name="value1">
					<option value="Console">Console</option>
					<option value="File">File</option>
					<option value="RollingFile">RollingFile</option>
				</select>
				<input value="Create" type="submit" style="pad-right: 1em;"/>
			</form>
         </body>
      </html>
   </xsl:template>
</xsl:stylesheet>


