<?xml version="1.0"?>
<!--
  Speedo: an implementation of JDO compliant personality on top of JORM generic
  I/O sub-system.
  Copyright (C) 2001-2004 France Telecom R&D
 
  This library is free software; you can redistribute it and/or
  modify it under the terms of the GNU Lesser General Public
  License as published by the Free Software Foundation; either
  version 2 of the License, or (at your option) any later version.
 
  This library is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  Lesser General Public License for more details.
 
  You should have received a copy of the GNU Lesser General Public
  License along with this library; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 
  Contact: sebastien.chassandebarrioz@rd.francetelecom.com
 
-->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
   <xsl:output method="html" indent="yes" encoding="UTF-8"/>

   <xsl:param name="html.stylesheet">stylesheet.css</xsl:param>
   <xsl:param name="html.stylesheet.type">text/css</xsl:param>
   <xsl:param name="head.title">viewarray.title</xsl:param>
   <xsl:param name="request.step">30</xsl:param>
   <xsl:param name="request.start">0</xsl:param>
   <xsl:param name="request.objectname"/>
   <xsl:param name="request.attribute"/>
   <xsl:param name="request.format"/>
   <xsl:param name="request.template"/>

   <xsl:include href="common.xsl"/>
   <xsl:include href="mbean_attributes.xsl"/>

   <!-- Main template -->
   <xsl:template match="/" name="main">
      <html>
         <xsl:call-template name="head"/>
         <body>
			<h1 align="center">Speedo Console</h1>
            <xsl:call-template name="tabs">
               	<xsl:with-param name="selection" >
					<xsl:value-of select="speedo:name=log"/>
				</xsl:with-param>
            </xsl:call-template>
            <center><table cellpadding="0" cellspacing="0" border="1">
            	<!-- title line -->
               <tr>
                  <td class="page_title"><center>Name</center></td>
                  <td class="page_title"><center>Value</center></td>
               </tr>
                              
               <xsl:for-each select="MBean/Attribute/Array/Element">
                  <xsl:variable name="classtype">
                     <xsl:if test="(position() mod 2)=1">clearline</xsl:if>
                     <xsl:if test="(position() mod 2)=0">darkline</xsl:if>
                  </xsl:variable>
                  <xsl:variable name="name">
                     	<xsl:value-of select="substring-before(substring-after( @element, 'name='), ',')"/>
                  </xsl:variable>
                  <xsl:variable name="val">
                     	<xsl:value-of select="substring-before(substring-after( @element, 'val='), ',')"/>
                  </xsl:variable>
                  <tr class="{$classtype}">
                     <td class="aggregationrow"><center>
                     	<xsl:value-of select="$name"/>
                     </center></td>
                     <td class="aggregationrow"><center>
                     	<xsl:value-of select="$val"/>
                     </center></td>
                  </tr>
               </xsl:for-each>

               <tr class="darkline">
				<form action="invoke">
					<input name="operation" type="hidden" value="defineLevel"/>
					<input name="objectname" type="hidden" value="speedo:name=log"/>
					<input  name="type0" type="hidden" value="java.lang.String"/>
                 	<td class="aggregationrow"><center> 
                 		<input name="value0" type="text" size="10" value=""/>
					</center></td>
                 	<td class="aggregationrow"><center> 
                 		<input name="value1" type="text" size="10" value=""/>
						<input name="type1" type="hidden" value="java.lang.String"/>
						<input value="define" type="submit" style="pad-right: 1em;"/>
                  	</center></td>
				 </form>
               </tr>
            </table></center>
         </body>
      </html>
   </xsl:template>
</xsl:stylesheet>


