<?xml version="1.0"?>
<!--
  Speedo: an implementation of JDO compliant personality on top of JORM generic
  I/O sub-system.
  Copyright (C) 2001-2004 France Telecom R&D
 
  This library is free software; you can redistribute it and/or
  modify it under the terms of the GNU Lesser General Public
  License as published by the Free Software Foundation; either
  version 2 of the License, or (at your option) any later version.
 
  This library is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  Lesser General Public License for more details.
 
  You should have received a copy of the GNU Lesser General Public
  License along with this library; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 
  Contact: sebastien.chassandebarrioz@rd.francetelecom.com
 
-->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
   <xsl:output method="html" indent="yes" encoding="UTF-8"/>

   <xsl:param name="html.stylesheet">stylesheet.css</xsl:param>
   <xsl:param name="html.stylesheet.type">text/css</xsl:param>
   <xsl:param name="head.title">viewarray.title</xsl:param>
   <xsl:param name="request.step">30</xsl:param>
   <xsl:param name="request.start">0</xsl:param>
   <xsl:param name="request.objectname"/>
   <xsl:param name="request.attribute"/>
   <xsl:param name="request.format"/>
   <xsl:param name="request.template"/>

   <xsl:include href="common.xsl"/>
   <xsl:include href="mbean_attributes.xsl"/>

   <!-- Main template -->
   <xsl:template match="/" name="main">
      <html>
         <xsl:call-template name="head"/>
         <body>
			<h1 align="center">Speedo Console</h1>
            <xsl:call-template name="tabs">
               	<xsl:with-param name="selection" >
					<xsl:value-of select="speedo%3Aname%3Dlog"/>
				</xsl:with-param>
            </xsl:call-template>
            <p>This page lists the existing logger and their configuration. It 
            permits also to set the level of loggers.</p>
            
            <center><table cellpadding="0" cellspacing="0" border="1">
            	<!-- title line -->
               <tr>
                  <td class="page_title"><center>Topic</center></td>
                  <td class="page_title"><center>Level</center></td>
                  <td class="page_title"><center>Handlers</center></td>
               </tr>
               
            	<!-- form for setting level of a new logger -->
               <tr class="darkline">
				<form action="invoke">
					<input name="operation" type="hidden" value="setLoggerLevel"/>
					<input name="objectname" type="hidden" value="speedo:name=log"/>
					<input  name="type0" type="hidden" value="java.lang.String"/>
                 	<td class="aggregationrow">
                 		<input name="value0" type="text" size="30" value="enter your logger name"/>
					</td>
					<td class="aggregationrow" colspan="2">
						<select value="" name="value1">
							<option value="INHERIT">INHERIT</option>
							<option value="FATAL">FATAL</option>
							<option value="WARN">WARN</option>
							<option value="INFO">INFO</option>
							<option value="DEBUG">DEBUG</option>
						</select>
						<input name="type1" type="hidden" value="java.lang.String"/>
						<input value="set" type="submit" style="pad-right: 1em;"/>
                  	</td>
				 </form>
               </tr>
               
            	<!-- forms for setting level of existing loggers -->
               <xsl:for-each select="MBean/Attribute/Array/Element">
                  <xsl:variable name="classtype">
                     <xsl:if test="(position() mod 2)=1">clearline</xsl:if>
                     <xsl:if test="(position() mod 2)=0">darkline</xsl:if>
                  </xsl:variable>
                  <xsl:variable name="topic">
                     	<xsl:value-of select="substring-before(substring-after( @element, 'topic=['), ']')"/>
                  </xsl:variable>
                  <xsl:variable name="level">
                     	<xsl:value-of select="substring-before(substring-after( @element, 'level=['), ']')"/>
                  </xsl:variable>
                  <xsl:variable name="handlers">
                     	<xsl:value-of select="substring-before(substring-after( @element, 'handler=['), ']')"/>
                  </xsl:variable>
                  <tr class="{$classtype}">
                     <td class="aggregationrow">
                     	<xsl:value-of select="$topic"/>
                     </td>
                     <td class="aggregationrow">
						<form action="invoke">
							<input name="operation" type="hidden" value="setLoggerLevel"/>
							<input name="objectname" type="hidden" value="speedo:name=log"/>
							<input name="type0" type="hidden" value="java.lang.String"/>
							<select value="" name="value0">
								<option>
									<xsl:attribute name="value"><xsl:value-of select="$level"/></xsl:attribute>
									<xsl:value-of select="$level"/>
								</option>
								<option value="INHERIT">INHERIT</option>
								<option value="FATAL">FATAL</option>
								<option value="WARN">WARN</option>
								<option value="INFO">INFO</option>
								<option value="DEBUG">DEBUG</option>
							</select>
							<input  name="type1" type="hidden" value="java.lang.String"/>
							<input name="value1" type="hidden">
								<xsl:attribute name="value"><xsl:value-of select="$topic"/></xsl:attribute>
							</input>
							<input value="set" type="submit" style="pad-right: 1em;"/>
						</form>
                     </td>
                     <td><center><table cellpadding="0" cellspacing="1" border="0">
                     	<xsl:if test="string-length(normalize-space($handlers))!=0">
                     		<tr><td class="aggregationrow" valign="center" align="center">
                     			<xsl:value-of select="$handlers"/>
                     		</td></tr>
                     	</xsl:if>
                     	<!--tr><td class="aggregationrow" valign="center" align="center">
							<form action="invoke">
								<input name="topic" type="hidden">
								<xsl:attribute name="value"><xsl:value-of select="$topic"/></xsl:attribute>
								</input>
								<input value="add handler" type="submit" style="pad-right: 1em;"/>
							</form>
                     	</td></tr-->
                     	<xsl:if test="string-length(normalize-space($handlers))!=0">
	                     	<tr><td class="aggregationrow" valign="center" align="center">
								<form action="invoke">
									<input name="topic" type="hidden">
										<xsl:attribute name="value"><xsl:value-of select="$topic"/></xsl:attribute>
									</input>
									<input name="handlername" type="text" value="" size="15"/>
									<input value="remove handler" type="submit" style="pad-right: 1em;"/>
								</form>
                	     	</td></tr>
                     	</xsl:if>
                	 </table></center></td>
                  </tr>
               </xsl:for-each>
            </table></center>
         </body>
      </html>
   </xsl:template>
</xsl:stylesheet>


