<?xml version="1.0"?>
<!--
 Copyright (C) The MX4J Contributors.
 All rights reserved.

 This software is distributed under the terms of the MX4J License version 1.0.
 See the terms of the MX4J License in the documentation provided with this software.

 Author: Carlos Quiroz (tibu@users.sourceforge.net)
 Revision: $Revision: 1.1 $
																																					-->

<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
   <xsl:output method="html" indent="yes" encoding="UTF-8"/>

   <xsl:param name="html.stylesheet">stylesheet.css</xsl:param>
   <xsl:param name="html.stylesheet.type">text/css</xsl:param>
   <xsl:param name="head.title">viewcollection.title</xsl:param>
   <xsl:param name="request.step">30</xsl:param>
   <xsl:param name="request.start">0</xsl:param>
   <xsl:param name="request.objectname"/>
   <xsl:param name="request.attribute"/>
   <xsl:param name="request.format"/>
   <xsl:param name="request.template"/>
   <xsl:include href="common.xsl"/>
   <xsl:include href="mbean_attributes.xsl"/>

   <!-- Main template -->
   <xsl:template match="/" name="main">
      <html>
         <xsl:call-template name="head"/>
         <body>
			<h1 align="center">Speedo Console</h1>
            <xsl:call-template name="tabs">
               	<xsl:with-param name="selection" >
					<xsl:value-of select="$request.objectname"/>
				</xsl:with-param>
            </xsl:call-template>
            <p><u>Compiled Query definition in the cache of Speedo:</u></p>
            <table cellpadding="5" cellspacing="0" border="1">
               <tr>
                  <td class="page_title" align="center">Definition</td>
               </tr>

               <xsl:for-each select="MBean/Attribute/Collection/Element">
                     <xsl:variable name="classtype">
                        <xsl:if test="(position() mod 2)=1">clearline</xsl:if>
                        <xsl:if test="(position() mod 2)=0">darkline</xsl:if>
                     </xsl:variable>
                     <tr class="{$classtype}">
                     	<td>
                     		<xsl:value-of select="@element"/>
                        </td>
                     </tr>
               </xsl:for-each>
            </table>
            <center>
               <xsl:call-template name="mbeanview">
                  <xsl:with-param name="objectname" select="MBean/@objectname"/>
                  <xsl:with-param name="colspan" select="3"/>
               </xsl:call-template>
			</center>
         </body>
      </html>
   </xsl:template>
</xsl:stylesheet>

