/**
 * Speedo: an implementation of JDO compliant personality on top of JORM generic
 * I/O sub-system.
 * Copyright (C) 2001-2004 France Telecom R&D
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *
 *
 * Contact: speedo@objectweb.org
 *
 * Authors: S.Chassande-Barrioz.
 *
 */

package org.objectweb.speedo.metadata;

import org.objectweb.speedo.mim.api.HomeItf;

/**
 * 
 * 
 * @author P. Dechamboux
 */
public class SpeedoCallback extends SpeedoElement {
	/**
	 * If the callback belongs to a listener class, it provides the name of
	 * this class. It is null otherwise.
	 */
	public String listenerClassName;
	
	/**
	 * The name of the method representing the callback to be invoked.
	 */
	public String callbackName;
	
	/**
	 * This string contains the signature of the callback to be called in the
	 * byte code format (e.g., "(Lcom/acme/Listener;)V").
	 */
	public String methodByteCodeSignature;
	
	/**
	 * this is an int representing the type of callback.
	 * @see HomeItf#PRE_NEW
	 */
	public int callbackType;
}
