/**
 * Copyright (C) 2001-2005 France Telecom R&D
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

package org.objectweb.speedo.metadata;

public class SpeedoJoinColumn extends SpeedoElement {
	public SpeedoColumn column;
	/**
	 * Each targetColumn must have a value corresponding to a column name in the
	 * main table.
	 */
	public String targetColumn;
	public String targetField;
	
    public SpeedoJoinColumn() {
    	SpeedoDefaults.setDefaults(this);
    }
    public SpeedoJoinColumn(SpeedoColumn col) {
    	this();
    	column = col;
    	targetColumn = col.targetColumn;
    	targetField = col.targetField;
    }
    public String toString() {
        StringBuffer sb = new StringBuffer();
        sb.append("SpeedoJoinColumn: ");
        if (targetColumn != null) {
            sb.append(", targetColumn=").append(targetColumn);
        }
        if (targetField != null) {
            sb.append(", targetField=").append(targetField);
        }
        if (column != null) {
            sb.append(", column=(").append(column.toString()).append(")");
        }
        return sb.toString();
    }

    
}
