/**
 * Copyright (C) 2001-2005 France Telecom R&D
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *
 *
 * Authors: S.Chassande-Barrioz.
 * Created on 30 janv. 2005
 *
 */
package org.objectweb.speedo.metadata;

/**
 * 
 *
 * @author S.Chassande-Barrioz
 */
public class SpeedoPredefinedQuery extends SpeedoElement {
    
    public String name;
    public String language;//ignored
    public String filter;
    public String sql;//ignored
    public String ordering;
    public int rangeFirst = 0;
    public int rangeLast = Integer.MAX_VALUE;
    public boolean ignoreCache = false;
    public boolean includeSubclasses;
    
    public String declareImports;
    public String declareParameters;
    public String declareVariables;
    
    public String resultClass;
    public boolean resultUnique = false;
    public String resultGrouping;
    
    public String query;
    
    

    public String getDeclareImports() {
        return declareImports;
    }
    public String getDeclareParameters() {
        return declareParameters;
    }
    public String getDeclareVariables() {
        return declareVariables;
    }
    public String getFilter() {
        return filter;
    }
    public boolean getIgnoreCache() {
        return ignoreCache;
    }
    public boolean getIncludeSubclasses() {
        return includeSubclasses;
    }
    public String getLanguage() {
        return language;
    }
    public String getName() {
        return name;
    }
    public String getOrdering() {
        return ordering;
    }
    public long getRangeFirst() {
        return rangeFirst;
    }
    public long getRangeLast() {
        return rangeLast;
    }
    public String getResultClass() {
        return resultClass;
    }
    public String getResultGrouping() {
        return resultGrouping;
    }
    public boolean getResultUnique() {
        return resultUnique;
    }
    public String getSql() {
        return sql;
    }
}
