/**
 * Speedo: an implementation of JDO compliant personality on top of JORM generic
 * I/O sub-system.
 * Copyright (C) 2001-2004 France Telecom R&D
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *
 *
 * Contact: speedo@objectweb.org
 *
 */

package org.objectweb.speedo.mim.jdo.lib;

import java.util.Collection;

import javax.jdo.FetchPlan;

import org.objectweb.speedo.mim.lib.SpeedoFetchPlan;


/**
 * @author Y.Bersihand
 */
public class JDOFetchPlan extends SpeedoFetchPlan implements FetchPlan {

	public JDOFetchPlan(){
		super();
	}

	public JDOFetchPlan(String fgName){
		super(fgName);
	}
	
	/**
	 * Add a group into the fetch plan.
	 */
    public FetchPlan addGroup(String fetchGroupName){
    	return (FetchPlan) super.speedoAddGroup(fetchGroupName);
    }
	
	/**
	 * Remove a group from the fetch plan.
	 */
    public FetchPlan removeGroup(String fetchGroupName){
    	return (FetchPlan) super.speedoRemoveGroup(fetchGroupName);
    }

    public Collection getGroups(){
        return super.speedoGetGroups();
    }

    public FetchPlan setGroups(Collection fetchGroupNames){
        return (FetchPlan) super.speedoSetGroups(fetchGroupNames);
    }

    public FetchPlan clearGroups() {
        return (FetchPlan) super.speedoClearGroups();
    }
    public FetchPlan setGroup(String fetchGroupName) {
        return (FetchPlan) super.speedoSetGroup(fetchGroupName);
    }
    public FetchPlan setGroups(String[] fetchGroupNames) {
        return (FetchPlan) super.speedoSetGroups(fetchGroupNames);
    }

    public FetchPlan setFetchSize(int fetchSize){
        return (FetchPlan) super.speedoSetFetchSize(fetchSize);
    }

	public int getFetchSize(){
        return super.speedoGetFetchSize();
    }

    public int getDetachmentOptions() {
        // TODO implements JDO FetchPlan getDetachmentOptions()
        return 0;
    }
    public FetchPlan setDetachmentOptions(int arg0) {
        // TODO implements JDO FetchPlan setDetachmentOptions(int)
        return null;
    }

    public Class[] getDetachmentRootClasses() {
        // TODO implements JDO FetchPlan getDetachmentRootClasses()
        return null;
    }
    public FetchPlan setDetachmentRootClasses(Class[] arg0) {
        // TODO implements JDO FetchPlan setDetachmentRootClasses(Class[])
        return null;
    }

    public Collection getDetachmentRoots() {
        // TODO implements JDO FetchPlan getDetachmentRoots()
        return null;
    }
    public FetchPlan setDetachmentRoots(Collection arg0) {
        // TODO implements JDO FetchPlan setDetachmentRoots(Collection)
        return null;
    }

    public int getMaxFetchDepth() {
        // TODO implements JDO FetchPlan getMaxFetchDepth()
        return 0;
    }
    public FetchPlan setMaxFetchDepth(int arg0) {
        // TODO implements JDO FetchPlan setMaxFetchDepth(int)
        return null;
    }    
}
