/**
 * Copyright (C) 2001-2005 France Telecom R&D
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
package org.objectweb.speedo.ejb.pobjects.basic;

import junit.framework.Assert;

import javax.persistence.Entity;
import javax.persistence.EntityListeners;
import javax.persistence.Id;
import javax.persistence.PostLoad;
import javax.persistence.PostPersist;
import javax.persistence.PostRemove;
import javax.persistence.PostUpdate;
import javax.persistence.PrePersist;
import javax.persistence.PreRemove;
import javax.persistence.PreUpdate;
import javax.persistence.Table;
import javax.persistence.Version;

/**
 * This class defines the callbacks associated to the lifecycle events of EJB3
 * entities.
 * @author P. Dechamboux
 */
@Entity
@Table(name="EJB_CALLBACKDEF")
@EntityListeners({ExtCallBack.class})
public class CallbackDef {
	@Id
	private Long oid;
	@Version
	public int version;
	
	@PrePersist
	public void prePersist() {
		
	}
	
	@PreRemove
	public void preRemove() {
		
	}
	
	@PreUpdate
	public void preUpdate() {
		
	}
	
	public void assign(Long longval) {
		this.oid = longval;
	}

	public void check(Long longval) {
		Assert.assertEquals("bad boolean_field value", oid, longval);
	}

	public Long retrieve_oid() {
		return oid;
	}

	public void assign_oid(Long oid) {
		this.oid = oid;
	}
}

class ExtCallBack {
	@PostPersist
	public void PostPersist(Object o) {
		
	}
	
	@PostRemove
	public void PostRemove(CallbackDef o) {
		
	}
	
	@PostUpdate
	public void PostUpdate(Object o) {
		
	}
	
	@PostLoad
	public void PostLoad(CallbackDef o) {
		
	}
}
