/**
 * Copyright (C) 2001-2005 France Telecom R&D
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
package org.objectweb.speedo.ejb.pobjects.basic;

import junit.framework.Assert;

import java.io.Serializable;

import javax.persistence.Basic;
import javax.persistence.EmbeddedId;
import javax.persistence.Entity;
import javax.persistence.Table;


/**
 * This class defines an embedded composite PK identifier.
 * @author P. Dechamboux
 */
@Entity
@Table(name="EJB_EMBEDPKID")
public class EmbedPkId implements Serializable {
	@EmbeddedId
	private AccCompPk id;
	@Basic
	private int int_field;

	public void assign(long longval) {
		this.int_field = (int) longval;
	}

	public void check(long longval) {
		Assert.assertEquals("bad int_field value", int_field, (int) longval);
	}

	public int retrieve_int_field() {
		return int_field;
	}

	public void assign_int_field(int int_field) {
		this.int_field = int_field;
	}
}
