/**
 * Copyright (C) 2001-2005 France Telecom R&D
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
package org.objectweb.speedo.ejb.pobjects.basic;

import junit.framework.Assert;

import java.io.Serializable;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.JoinColumn;
import javax.persistence.PrimaryKeyJoinColumn;
import javax.persistence.SecondaryTable;
import javax.persistence.Table;

/**
 * This class defines a mapping to two tables: a main table and one secondary
 * table.
 * @author P. Dechamboux
 */
@Entity
@Table(name="EJB_ONESECONDARYM")
@SecondaryTable(
		name="EJB_ONESECONDARYS",
		pkJoinColumns=@PrimaryKeyJoinColumn(
				name="SID",
				referencedColumnName="ID"
		)
)
public class OneSecondary implements Serializable {
	@Id
	@Column(name="ID")
	@GeneratedValue(strategy=GenerationType.SEQUENCE,generator="EJB_ONESECONDARYSEQ")
	private Long id;
	@Column(name="MAIN")
	private int int_main;
	@Column(name="SECONDARY",table="EJB_ONESECONDARYS")
	private int int_secondary;
	
	public void assign(long longval) {
		this.int_main = (int) longval;
		this.int_secondary = (int) longval + 1;
	}

	public void check(long longval) {
		Assert.assertEquals("bad int_main value", int_main, (int) longval);
		Assert.assertEquals("bad int_secondary value", int_secondary, (int) longval + 1);
	}

	public int retrieve_int_field() {
		return int_main;
	}

	public void assign_int_field(int int_field) {
		this.int_main = int_field;
		this.int_secondary = int_field + 1;
	}
}
