/**
 * Speedo: an implementation of JDO compliant personality on top of JORM generic
 * I/O sub-system.
 * Copyright (C) 2001-2004 France Telecom R&D
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *
 *
 * Contact: speedo@objectweb.org
 *
 * Authors: S. Chassande-Barrioz
 *
 */

package org.objectweb.speedo.ejb.pobjects.ref;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;

/**
 * This is an entity that holds a set of employees (see Employee class). It is
 * referenced by such an entity: this is an example of unary/unidirectional
 * relationship between Employee and Department.
 * Used in conjonction with Employee.
 * 
 * @author Y.Bersihand, P. Dechamboux
 */

@Entity
@Table(name="EJB_DEPARTMENT")
public class Department {
	@Id/*TODO (generate=GeneratorType.SEQUENCE,generator="EJB_DEPARTMENTSEQ")*/
	@Column(name="ID")
    Long oid;
	@Column(name="NAME")
	public String name = null;

	public Department() {
	}
	
	public Department(String itsName) {
		name = itsName;
	}
    public Long getOid() {
        return oid;
    }

    public String getName() {
        return name;
    }
    public void setName(String name) {
        this.name = name;
    }
}
