/*
 * Created on 16 juin 2005
 */
package abook.data;

import java.util.Collection;
import java.util.ArrayList;

/**
 *Provides object of type Author mapping the data stored in the sql database
 */
public class Author {
	
	private String lastName;
	private String firstName;
	private long authorId;
	private Collection books;
	
	/**
	 * Constructs a new Author object
	 * @param firstName Author's first name
	 * @param lastName Author's last name
	 * @param authorId Author's identifier
	 */
	public Author(String firstName, String lastName, long authorId) {
		this.lastName = lastName;
		this.firstName = firstName;
		this.authorId = authorId;
		books = new ArrayList();
	}
	/**
	 * @return Returns the authorId.
	 */
	public long getAuthorId() {
		return authorId;
	}
	/**
	 * @param authorId The authorId to set.
	 */
	public void setAuthorId(long authorId) {
		this.authorId = authorId;
	}
	/**
	 * @return Returns the books.
	 */
	public Collection getBooks() {
		return books;
	}
	/**
	 * @param books The books to set.
	 */
	public void setBooks(Collection books) {
		this.books = books;
	}
	/**
	 * @return Returns the firstName.
	 */
	public String getFirstName() {
		return firstName;
	}
	/**
	 * @param firstName The firstName to set.
	 */
	public void setFirstName(String firstName) {
		this.firstName = firstName;
	}
	/**
	 * @return Returns the lastName.
	 */
	public String getLastName() {
		return lastName;
	}
	/**
	 * @param lastName The lastName to set.
	 */
	public void setLastName(String lastName) {
		this.lastName = lastName;
	}
	/**
	 * @param book The book to add.
	 * @return true the books collection changed as a result of the call
	 */
	public boolean addBook(Book book) {
		return books.add(book);
	}
}
