/*
 * Created on 04 nov. 2004
 */
package org.objectweb.speedo.pobjects.cap;


/**
 * @author mhoudu
 */
public class JDORoleHasAction {
    
    private int roleId;
    
    private int actionId;
    
    /** the role */
    private JDORole role;
    
    /** the action */
    private JDOAction action;

    /** the flag which indicates if the action has to be displayed in the menu or not */
    private boolean isDisplayedInMenu;
    
    /** the display order */
    private int displayOrder;
    
    /**
     * Default constructor.
     * @param role The role.
     * @param action The action.
     * @param isDisplayedInMenu The flag which indicates if the action has to be displayed in the menu or not.
     * @param displayOrder The isplay order.
     */
    public JDORoleHasAction(
            JDORole role,
            JDOAction action,
            boolean isDisplayedInMenu,
            int displayOrder)
    {
        this.roleId = role.getId();
        this.actionId = action.getId();
        this.role = role;
        this.action = action;
        this.isDisplayedInMenu = isDisplayedInMenu;
        this.displayOrder = displayOrder;
    }

   
	public int getActionId() {
		return actionId;
	}
	public void setActionId(int actionId) {
		this.actionId = actionId;
	}
	public int getRoleId() {
		return roleId;
	}
	public void setRoleId(int roleId) {
		this.roleId = roleId;
	}
    /**
     * Gets the role.
     * @return Returns the role.
     */
    public JDORole getRole()
    {
        return role;
    }
    
    /**
     * Sets the role.
     * @param role The role to set.
     */
    public void setRole(JDORole role)
    {
        this.role = role;
    }
    
    /**
     * Gets the action.
     * @return Returns the action.
     */
    public JDOAction getAction()
    {
        return action;
    }
    
    /**
     * Sets the action.
     * @param action The action to set.
     */
    public void setAction(JDOAction action)
    {
        this.action = action;
    }

    /**
     * Gets the display order.
     * @return Returns the display order.
     */
    public int getDisplayOrder()
    {
        return displayOrder;
    }
    
    /**
     * Sets the display order.
     * @param displayOrder The display order to set.
     */
    public void setDisplayOrder(int displayOrder)
    {
        this.displayOrder = displayOrder;
    }
    
    /**
     * Gets the flag which indicates if the action has to be displayed in the menu or not.
     * @return Returns the flag which indicates if the action has to be displayed in the menu or not.
     */
    public boolean isDisplayedInMenu()
    {
        return isDisplayedInMenu;
    }
    
    /**
     * Sets the flag which indicates if the action has to be displayed in the menu or not.
     * @param isDisplayedInMenu The flag which indicates if the action has to be displayed in the menu or not, to set.
     */
    public void setDisplayedInMenu(boolean isDisplayedInMenu)
    {
        this.isDisplayedInMenu = isDisplayedInMenu;
    }

}