/**
 * Speedo: an implementation of JDO compliant personality on top of JORM generic
 * I/O sub-system.
 * Copyright (C) 2001-2004 France Telecom R&D
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *
 *
 * Contact: speedo@objectweb.org
 *
 * Authors: S.Chassande-Barrioz.
 *
 */

package org.objectweb.speedo.pobjects.common;

public class ParamsTest {
	
	//Number of threads
	private int nbth;
	//Number of transactions
	private int nbtx;
	//Number of action : number of creation, ....
	private int nbc;
	//Thread Timeout
	private int to;
	//Start Id 
	private int startid;
	//Db Size 
	private int dbSize;
	
	
	
	/**
	 * @return Returns the nbc.
	 */
	public int getNbc() {
		return nbc;
	}

	/**
	 * @param nbc The nbc to set.
	 */
	public void setNbc(int nbc) {
		this.nbc = nbc;
	}

	/**
	 * @return Returns the nbth.
	 */
	public int getNbth() {
		return nbth;
	}

	/**
	 * @param nbth The nbth to set.
	 */
	public void setNbth(int nbth) {
		this.nbth = nbth;
	}

	/**
	 * @return Returns the nbtx.
	 */
	public int getNbtx() {
		return nbtx;
	}

	/**
	 * @param nbtx The nbtx to set.
	 */
	public void setNbtx(int nbtx) {
		this.nbtx = nbtx;
	}

	/**
	 * @return Returns the startid.
	 */
	public int getStartid() {
		return startid;
	}

	/**
	 * @param startid The startid to set.
	 */
	public void setStartid(int startid) {
		this.startid = startid;
	}

	/**
	 * @return Returns the to.
	 */
	public int getTo() {
		return to;
	}

	/**
	 * @param to The to to set.
	 */
	public void setTo(int to) {
		this.to = to;
	}
	
	/**
	 * Constuctor for TestCreation
	 * @param nbth
	 * @param nbtx
	 * @param nbc
	 * @param to
	 * @param startid
	 */
	public ParamsTest(int nbth, int nbtx, int nbc, int to, int startid) {
		this.nbth = nbth;
		this.nbtx = nbtx;
		this.nbc = nbc;
		this.to = to;
		this.startid = startid;
	}
	/**
	 * Constuctor for testDeletion
	 * @param nbth
	 * @param nbtx
	 * @param nbc
	 * @param to
	 * @param dbSize
	 */
	public ParamsTest(int nbth, int nbtx, int nbc, int to,int startid,  int dbSize) {
		this.nbth = nbth;
		this.nbtx = nbtx;
		this.nbc = nbc;
		this.to = to;
		this.dbSize = dbSize;
	}	
	/**
	 * @return Returns the dbSize.
	 */
	public int getDbSize() {
		return dbSize;
	}

	/**
	 * @param dbSize The dbSize to set.
	 */
	public void setDbSize(int dbSize) {
		this.dbSize = dbSize;
	}


}
