/**
 * Copyright (C) 2001-2004 France Telecom R&D
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
package org.objectweb.speedo.pobjects.inheritance.filterOutOfPK.rdbsequence;

import java.util.ArrayList;
import java.util.Collection;

/**
 *
 * @author S.Chassande-Barrioz
 */
public abstract class Article {

	private long id;
	private int type;
	private Catalogue catalogue;
	private Collection marches;

	public Article(long id, int type) {
		this.id = id;
		this.type = type;
		marches = new ArrayList();
	}

	public Catalogue getCatalogue() {
		return catalogue;
	}

	public void setCatalogue(Catalogue catalogue) {
		this.catalogue = catalogue;
	}

	public Collection getMarches() {
		return marches;
	}

	public void setMarches(Collection marches) {
		this.marches = marches;
	}

	public long getId() {
		return id;
	}
	
	public int getType() {
		return type;
	}
	public void setType(int type) {
		this.type = type;
	}
}
