/**
 * Copyright (C) 2001-2004 France Telecom R&D
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
package org.objectweb.speedo.pobjects.inheritance.filtered;

import org.objectweb.speedo.pobjects.inheritance.filtered.Animal;

/**
 *
 * @author S.Chassande-Barrioz
 */
public class Kangaroo extends Animal{
	public final static String KANGAROO_SPECIES = "kangaroo";

	protected float jumpLengthAverage = 0;

	public Kangaroo() {
	}

	public Kangaroo(String name, int size, boolean male, long f1, float jumpLengthAverage) {
		super(name, KANGAROO_SPECIES, size, male, f1);
		this.jumpLengthAverage = jumpLengthAverage;
	}

	public float retrieveJumpLengthAverage() {
		return jumpLengthAverage;
	}

	public void assignJumpLengthAverage(float jumpLengthAverage) {
		this.jumpLengthAverage = jumpLengthAverage;
	}
}
