/**
 * Speedo: an implementation of JDO compliant personality on top of JORM generic
 * I/O sub-system.
 * Copyright (C) 2001-2004 France Telecom R&D
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *
 *
 * Contact: speedo@objectweb.org
 *
 */

package org.objectweb.speedo.pobjects.inheritance.prefetch;

import java.util.ArrayList;
import java.util.Collection;
import java.util.Iterator;



/**
 * @author Y.Bersihand
 */
public class Manager extends Employee {

	private String team;
	private Collection workers;
	
	public Manager(String name, int age, String company, String team) {
		super(name, age, company, "manager");
		this.team = team;
		this.workers = new ArrayList();
	}
	
	public String getTeam() {
		return team;
	}
	
	public void setTeam(String team) {
		this.team = team;
	}
	
	public Collection getWorkers() {
		return workers;
	}
	public void setWorkers(Collection workers) {
		this.workers = workers;
	}
	public void addWorker(Worker worker){
		workers.add(worker);
	}
	
	public String toString(){
		String s =  "Manager: Employee(" + super.toString() + "), team=" + team;
		if(workers != null && workers.size() > 0){
			s += ", list of workers[";
			Iterator it = workers.iterator();
			while(it.hasNext()){
				Worker worker = (Worker) it.next();
				s += worker.getName() + ", ";
			}
			s = s.substring(0, s.length()-2);
			s += "]";
		}
		return s;
	}
}
