/**
 * Speedo: an implementation of JDO compliant personality on top of JORM generic
 * I/O sub-system.
 * Copyright (C) 2001-2004 France Telecom R&D
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *
 *
 * Contact: speedo@objectweb.org
 *
 */

package org.objectweb.speedo.pobjects.inheritance.prefetch;

/**
 * @author Y.Bersihand
 */
public class Secretary extends AbstractAssistant {

	private int numberOfProjects;
	
	/**
	 * @param name
	 * @param age
	 * @param company
	 */
	public Secretary(String name, double age, String company, int nbOfProjects) {
		super(name, age, company, "secretary");
		this.numberOfProjects = nbOfProjects;
	}

	/**
	 * @param name
	 * @param age
	 * @param company
	 * @param type
	 */
	public Secretary(String name, double age, String company, String type, int nbOfProjects) {
		super(name, age, company, type);
		this.numberOfProjects = nbOfProjects;
	}


	public int getNumberOfProjects() {
		return numberOfProjects;
	}

	public void setNumberOfProjects(int numberOfProjects) {
		this.numberOfProjects = numberOfProjects;
	}

	public String toString() {
		return  "Secretary:  Employee: name=" + name +", age=" + age + ", company=" + company + "nbOfProjects=" + numberOfProjects;
	}

}
