/**
 * Speedo: an implementation of JDO compliant personality on top of JORM generic
 * I/O sub-system.
 * Copyright (C) 2001-2004 France Telecom R&D
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *
 *
 * Contact: speedo@objectweb.org
 *
 */

package org.objectweb.speedo.pobjects.odis;

/**
 * @author Y.Bersihand
 */
public class TrackpointId {

	public static final String SEP = ":";
	public int id_order;
	public int id_competition;

	public TrackpointId() {
	}

	public TrackpointId(int id_order, int id_competition) {
		this.id_order = id_order;
		this.id_competition = id_competition;
	}

	public TrackpointId(String str) {
		setValue(str);
	}

	private void setValue(String str) {
		if (str == null) {
			throw new NullPointerException("String representation of Trackpoint Identifier is null");
		}
		int idx = str.indexOf(SEP);
		if (idx == -1) {
			throw new NullPointerException("Bad String representation of Trackpoint Identifier: " + str);
		}
		id_order = Integer.valueOf(str.substring(0, idx)).intValue();
		id_competition = Integer.valueOf(str.substring(idx + SEP.length())).intValue();
	}

	public String toString() {
		return id_order + SEP + id_competition;
	}

}
