/**
 * Speedo: an implementation of JDO compliant personality on top of JORM generic
 * I/O sub-system.
 * Copyright (C) 2001-2004 France Telecom R&D
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *
 *
 * Contact: speedo@objectweb.org
 *
 * Authors: S. Col
 *
 */

package org.objectweb.speedo.pobjects.ref;

import java.util.Collection;
import java.util.HashMap;
import java.util.Map;

public class Group {

	public String name = null;
	
	public Collection itsMembers = null;
	
	//a map of meetings identified by their names
	public Map name2Meeting = new HashMap();
	
	public President itsPresident = null;

	public Group() { 
	}
	
	public Group(String itsName) {
		name = itsName;
	}
	
	public Group(String itsName, President p) {
		name = itsName;
		itsPresident = p;
	}
	
    public String getName() {
        return name;
    }
    public void setName(String name) {
        this.name = name;
    }
    
    public President getPresident() {
        return itsPresident;
    }
    public void setPresident(President p) {
        this.itsPresident = p;
    }
    
    public Collection getMembers() {
    	return itsMembers;
    }
    
    public void setMembers(Collection c) {
    	itsMembers = c;
    }
    
    public void addMember(Member m) {
    	itsMembers.add(m);
    }
    
	public Map getName2Meeting() {
		return name2Meeting;
	}
	public void setName2Meeting(Map name2Meetings) {
		this.name2Meeting = name2Meetings;
	}
	
	public void addMeeting(Meeting m) {
		if (!name2Meeting.containsKey(m.getName())) {
			name2Meeting.put(m.getName(), m);
		}
	}
}
