/**
 * Speedo: an implementation of JDO compliant personality on top of JORM generic
 * I/O sub-system.
 * Copyright (C) 2001-2004 France Telecom R&D
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *
 *
 * Contact: speedo@objectweb.org
 *
 * Authors: S.Chassande-Barrioz.
 *
 */

package org.objectweb.speedo.pobjects.relations;

import java.util.Collection;
import java.util.ArrayList;

public class A {

    private String name;

    private B b; // one one relation, reverse = a

    private Collection bs; // many many relation, reverse = as

    private Collection nbs; // one many relation, reverse = na

    public A () {
    }

    public A (String name) {
        this.name = name;
        this.bs = new ArrayList();
        this.nbs = new ArrayList();
    }

	public String getName() {
		return name;
	}

	public B getB() {
		return b;
	}

	public void setB(B b) {
		this.b = b;
	}

	public Collection getBs() {
		return bs;
	}

	public void setBs(Collection bs) {
		this.bs = bs;
	}

	public Collection getNbs() {
		return nbs;
	}

	public void setNbs(Collection nbs) {
		this.nbs = nbs;
	}

	public void setName(String name) {
		this.name = name;
	}
}
