/**
 * Copyright (C) 2001-2004 France Telecom R&D
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
package org.objectweb.speedo.runtime.jca;

import org.objectweb.speedo.SpeedoTestHelper;
import org.objectweb.speedo.api.SpeedoProperties;
import org.objectweb.util.monolog.api.BasicLevel;

import java.util.Properties;

import javax.naming.InitialContext;

/**
 *
 * @author S.Chassande-Barrioz
 */
public class TestJCAEmulation extends SpeedoTestHelper {

    static {
        System.setProperty("java.naming.factory.initial",
                SimpleNamingManager.class.getName());
    }

	public TestJCAEmulation(String s) {
		super(s);
	}

	protected String getLoggerName() {
		return LOG_NAME + ".rt.jca.TestJCAEmulation";
	}

    public Properties getPMFProperties() {
        Properties p = super.getPMFProperties();
        String driver = getConnectionDriverNameProperty(p);
        String user = p.getProperty(SpeedoProperties.JDO_OPTION_CONNECTION_USER_NAME);
        String password = p.getProperty(SpeedoProperties.JDO_OPTION_CONNECTION_PASSWORD);
        String url = p.getProperty(SpeedoProperties.JDO_OPTION_CONNECTION_URL);
        
        final String JNDI_NAME="cf";
        try {
            InitialContext ictx = new InitialContext();
            ictx.rebind(JNDI_NAME, new SimpleDataSource(driver, url, user, password));
        } catch (Exception e) {
            System.err.println("Error during the JNDI initialization: " + e.getMessage());
            e.printStackTrace(System.err);
        }
        p.setProperty(SpeedoProperties.MANAGED, Boolean.TRUE.toString());
        p.setProperty(SpeedoProperties.JDO_OPTION_CONNECTION_FACTORY_NAME, JNDI_NAME);
        return p;
    }

    public void testEmpty() {
        assertTrue(true);
    }
}
