/**
 * Copyright (C) 2001-2005 France Telecom R&D
 */
package org.objectweb.speedo.runtime.jmx;

import org.objectweb.speedo.SpeedoTestHelper;
import org.objectweb.speedo.api.SpeedoProperties;
import org.objectweb.util.monolog.api.BasicLevel;

import java.util.Properties;

/**
 * 
 *
 * @author chassase
 */
public class TestJMXHttpConsole extends SpeedoTestHelper {

    private static int port;
    
	public TestJMXHttpConsole(String s) {
		super(s);
	}

	protected String getLoggerName() {
		return LOG_NAME + "rt.jmx";
	}

	
	
    public Properties getPMFProperties() {
        Properties p = super.getPMFProperties();
        String val = p.getProperty(SpeedoProperties.JMX);
        if (val == null) {
            val = Boolean.TRUE.toString();
            p.setProperty(SpeedoProperties.JMX, val);
        }
        val = p.getProperty(SpeedoProperties.JMX_HTTP_PORT);
        if (val == null) {
            val = "8083";
            p.setProperty(SpeedoProperties.JMX_HTTP_PORT, val);
        }
        port = Integer.parseInt(val);
        return p;
    }
	public void testAllMBeans() {
	    assertNotNull("Error on page of the 'connection' mbean ", getMBean("connection"));
	    assertNotNull("Error on page of the 'connection' mbean ", getMBean("pmf"));
	    assertNotNull("Error on page of the 'connection' mbean ", getMBean("query"));
	    assertNotNull("Error on page of the 'connection' mbean ", getMBean("cache"));
	    assertNotNull("Error on page of the 'connection' mbean ", getMBean("tx"));
	}
	private String getMBean(String name) {
	    try {
            return HTTPTools.getURL("http://localhost:" + port  + "/mbean", 
                    "objectname=speedo:name=" + name, "GET", logger);
        } catch (Exception e) {
            logger.log(BasicLevel.ERROR, "Error on get the mbean '" + name +"': ", e);
            fail(e.getMessage());
            return null;
        }
	}
}
