/**
 * Speedo: an implementation of JDO compliant personality on top of JORM generic
 * I/O sub-system.
 * Copyright (C) 2001-2004 France Telecom R&D
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *
 *
 * Contact: speedo@objectweb.org
 *
 */

package org.objectweb.speedo.tutorial;

import java.io.FileInputStream;
import java.io.IOException;
import java.util.Properties;

import javax.jdo.JDOHelper;
import javax.jdo.PersistenceManagerFactory;

/**
 * This class enables to get a persistence manager factory from the speedo.properties file.
 * @author Y.Bersihand
 */
public class TutorialHelper {

	protected static PersistenceManagerFactory pmf = null;

	public TutorialHelper(String propertiesFileName)throws IOException {
        Properties p = new Properties();
        p.load(new FileInputStream(propertiesFileName));
        p.setProperty("org.objectweb.speedo.mappingStructure","DELETE_DATA");
        pmf = JDOHelper.getPersistenceManagerFactory(p);
        System.out.println("PersistenceManagerFactory instanciated ("+ pmf.getConnectionURL() + ")");
    }
	
	public PersistenceManagerFactory getPMF(){
		return pmf;
	}
}
