/**
 * Speedo: an implementation of JDO compliant personality on top of JORM generic
 * I/O sub-system.
 * Copyright (C) 2001-2004 France Telecom R&D
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *
 *
 * Contact: speedo@objectweb.org
 *
 */

package org.objectweb.speedo.tutorial.pobjects.additional.inheritance;

import java.util.ArrayList;
import java.util.Collection;
import java.util.Iterator;

/**
 * @author Y.Bersihand
 */
public class Worker extends Employee {

	private boolean partTime;
	private Collection managers;
	
	public Worker(String name, int age, String company, boolean partTime) {
		super(name, age, company, "worker");
		this.partTime = partTime;
		this.managers = new ArrayList();
	}
	
	public boolean isPartTime() {
		return partTime;
	}
	
	public void setPartTime(boolean partTime) {
		this.partTime = partTime;
	}
	
	public Collection getManagers() {
		return managers;
	}
	public void setManagers(Collection managers) {
		this.managers = managers;
	}
	public void addManager(Manager manager){
		managers.add(manager);
		manager.addWorker(this);
	}
	
	public String toString(){
		String s = "Worker: Employee(" + super.toString() + "), " + (partTime?"part-time":"full time");
		if(managers.size() > 0){
			s += ", list of managers[";
			Iterator it = managers.iterator();
			while(it.hasNext()){
				Manager manager = (Manager) it.next();
				s += manager.getName() + ", ";
			}
			s = s.substring(0, s.length()-2);
			s += "]";
		}
		return s;
	}
}
