/**
 * Speedo: an implementation of JDO compliant personality on top of JORM generic
 * I/O sub-system.
 * Copyright (C) 2001-2004 France Telecom R&D
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *
 *
 * Contact: speedo@objectweb.org
 *
 */

package org.objectweb.speedo.tutorial.pobjects.mapping;

import java.util.ArrayList;
import java.util.Collection;
import java.util.Iterator;

/**
 * @author Y.Bersihand
 */
public class Manager {

	private String name;
	//the department is head-of
	private Department department;
	//the list of employees he supervises
	private Collection employees; 
	
	public Manager(String name){
		this.name = name;
		department = null;
		employees = new ArrayList();
	}
	
	public Manager(String name, Department department){
		this.name = name;
		this.department = department;
		employees = new ArrayList();
	}
	
	public Department getDepartment() {
		return department;
	}
	public void setDepartment(Department department) {
		this.department = department;
	}
	
	public Collection getEmployees() {
		return employees;
	}
	public void setEmployees(Collection employees) {
		this.employees = employees;
	}
	public void addEmployee(Employee employee){
		employees.add(employee);
	}
	
	public String getName() {
		return name;
	}
	public void setName(String name) {
		this.name = name;
	}
	
	public String toString(){
		String s = "Name: " + name + ", Head-Of: " + department.getLabel() + ", Employees:[";
		Iterator it = employees.iterator();
		while(it.hasNext()){
			Employee e = (Employee) it.next();
			s += e.getName() + ", ";
		}
		s = s.substring(0, s.length()-2);
		s += "]";
		return s;
	}
}
